### Method

# FwupdPlugin Archive add_entry

since: 1.8.1

#### Declaration [src]

    void
    fu_archive_add_entry (
      FuArchive* self,
      const gchar* fn,
      GBytes* blob
    )

#### Description [src]

Adds, or replaces an entry to an archive.

Available since: 1.8.1

#### Parameters

`fn`

  Type: `const gchar*`

  A filename.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`blob`

  Type: `GBytes`

  A `GBytes`.

  The data is owned by the caller of the method.